import React from 'react';
import { sampleOperatorCards } from '../../../../../../tests/factories/modules/matrix/card.factory';
import gameCardBgBanner from '../../../../../../storybook-images/game-card-bg-banner.png';
import TemplateThree from '.';

const card = sampleOperatorCards.items[0];

export default {
  title: 'Theme/Modules/Cards/Game/Template Three',
  component: TemplateThree,
  item: {
    name: 'item',
    type: { name: 'object', required: false },
    defaultValue: null,
    description: 'The card object.',
  },
  translations: {
    name: 'translations',
    type: { name: 'object', required: false },
    defaultValue: {
      play_now_slots: 'Play Slots LANG',
    },
    description: 'The translations object',
  },
};

const Template = (args) => <TemplateThree {...args} />;
export const Default = Template.bind({});
Default.args = {
  // eslint-disable-next-line object-shorthand
  item: {
    ...card,
    banner: '',
    title: 'Rick Wilde and the Book of dead',
    relation: {
      ...card.relation,
      rating: '4.5',
      game_provider: {
        name: 'NetEnt',
        path: 'netent-casinos',
      },
    },
  },
  translations: {
    play_now_slots: 'Play Slots LANG',
  },
  storybookImage: gameCardBgBanner,
};
