/* eslint-disable react-hooks/rules-of-hooks */
/* eslint-disable import/no-extraneous-dependencies */
/* eslint-disable react/prop-types */
/* eslint-disable camelcase */
import React, { useContext } from 'react';
import PropTypes from 'prop-types';
import {
  prettyTracker,
  imagePrettyUrl,
  translate,
  getBonus,
  getAltText,
} from 'gatsby-core-theme/src/helpers/getters';
import LazyImage from 'gatsby-core-theme/src/hooks/lazy-image';
import { Context } from 'gatsby-core-theme/src/context/MainProvider';
import { isMobileDevice } from 'gatsby-core-theme/src/helpers/device-detect';

import styles from './small-welcome-bonus.module.scss';

const Index = ({ page }) => {
  const operator = page?.extra_fields?.game_review_summary_operator;
  if (!operator) {
    return <></>;
  }
  const { status } = operator;
  const { translations } = useContext(Context) || {};
  const prettyLink = prettyTracker(operator, 'main', false, page.template);
  let playNow = translate(translations, 'play_now', 'Play now');
  const bonus = getBonus('main', operator);
  const logUrlObject = operator?.logo_url_object || operator?.standardised_logo_url_object;
  if (isMobileDevice()) {
    playNow = `> ${translate(translations, 'play_for_real_at', 'Play for real at')} @ ${
      operator.name
    }`;
  }

  return (
    <div>
      <div className={styles?.content || ''}>
        <div className={styles?.desc || ''}>
          <div className={styles?.logo || ''}>
            <a
              href={prettyLink}
              title={operator.name}
              target="_blank"
              rel="nofollow noreferrer sponsored"
              className="small-welcome-bonus-gtm logo-cta"
              aria-label={`${operator?.name} Link`}
            >
              <LazyImage
                width={120}
                height={50}
                alt={getAltText(logUrlObject, operator?.name)}
                src={imagePrettyUrl(logUrlObject?.filename, 120, 50)}
              />
            </a>
          </div>
          <div className={styles?.bonus || ''}>{bonus && <h5>{bonus.one_liner}</h5>}</div>
        </div>
        <div className={styles?.ctaButton || ''}>
          {status === 'active' && (
            <a
              href={prettyLink}
              title={operator.name}
              target="_blank"
              rel="nofollow noreferrer sponsored"
              className="small-welcome-bonus-gtm"
            >
              {playNow}
            </a>
          )}
        </div>
      </div>
    </div>
  );
};

Index.propTypes = {
  page: PropTypes.shape({
    extra_fields: PropTypes.shape({
      game_review_summary_operator: PropTypes.shape({
        logo_url: PropTypes.string,
        status: PropTypes.string,
      }),
    }),
  }),
};

export default Index;
