/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import SmallWelcomeBonus from '.';

export default {
  title: 'Theme/Molecules/SmallWelcomeBonus',
  component: SmallWelcomeBonus,
  argTypes: {
    page: {
      name: 'page',
      type: { name: 'object', required: true },
      defaultValue: null,
      description: 'The page object.',
    },
  },
  parameters: {
    docs: {
      description: {
        component: 'Small Welcome Bonus component',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <SmallWelcomeBonus {...args} />;

export const Default = Template.bind({});
Default.args = {
  page: {
    extra_fields: {
      game_review_summary_operator: {
        name: 'Chanz Casino',
        bonus: {
          one_liners: {
            main: {
              one_liner: '100 kroner gratis + 200% opptil 2000 kr + 300 gratisspinn',
            },
          },
        },
        logo_url: 'chanz390pngb3f8bb64f3-original.png',
        status: 'active',
      },
    },
  },
};
